### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Interface OperationMonitorInterface

All Superinterfaces:
  `Runnable`

All Known Implementing Classes:
  `OperationMonitor`

@SASScope("ALL") @BinaryCompatibilityOnly public interface OperationMonitorInterface extends Runnable
Interface describing how an operation can provide status information to a monitor regarding exceptions that have occurred.

Since:
  1.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addThrowable(Throwable throwable)`
  Notify the operation monitor that an exception has occurred.
  `Throwable[]`
  `getThrowables()`
  Gets throwables which describe issues which were encountered during the operation.
  `boolean`
  `hasOperationCompleted()`
  Whether or not the operation has completed its execution.
  `boolean`
  `isOK()`
  Determines whether or not the monitored operation completed without encountering any issues.
  `void`
  `setOperationCompleted()`
  Specifies that the operation has completed its exeuction.

  ### Methods inherited from interface java.lang.Runnable

  `run`

- ## Method Details

  - ### hasOperationCompleted

    boolean hasOperationCompleted()
    Whether or not the operation has completed its execution.
    Returns:
      `true` if the operation has completed.

  - ### setOperationCompleted

    void setOperationCompleted()
    Specifies that the operation has completed its exeuction.

  - ### isOK

    boolean isOK()
    Determines whether or not the monitored operation completed without encountering any issues.
    Returns:
      `true` if no issues were encountered executing the operation or `false` if a problem was encountered. If the return value is `false` use `getThrowables()` to determine why the operation failed.

  - ### addThrowable

    void addThrowable(Throwable throwable)
    Notify the operation monitor that an exception has occurred.
    Parameters:
      `throwable` - A `Throwable` encountered while executing the operation.

  - ### getThrowables

    Throwable[] getThrowables()
    Gets throwables which describe issues which were encountered during the operation.
    Returns:
      Throwables encountered during the operation. A zero-length array is indicative of a successful operation.